<%@ page language="java" import="java.util.*,java.sql.*,java.beans.*,iDSS.*,iDSS.utils.*,iDSS.webBeans.*,iDSS.beans.*,iDSS.beans2.*,iDSS.grids.*,iDSS.tidalData.*"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<HTML>
<HEAD>
	<TITLE><%=IDSSAppConstants.programTitle%></TITLE>

<META HTTP-EQUIV="KEYWORDS" CONTENT="internet-based, DSS, decision support system, Java, Enterprise edition, J2EE">
<META HTTP-EQUIV="DESCRIPTION" CONTENT="">		
</HEAD>

<jsp:useBean id="modelSetupControllerJBean" scope="session" class="iDSS.beans2.ModelSetupControllerJBean"/>
<jsp:useBean id="statusJBean" scope="session" class="iDSS.beans2.StatusJBean"/>


<body>
<h2><%=IDSSAppConstants.modelSetupIsostaticMovement%></h2>



<%

    String actionButtonName = request.getParameter(IDSSAppConstants.acceptButtonText);
    statusJBean = modelSetupControllerJBean.getStatusBean();

    if(actionButtonName != null) {

        if (actionButtonName.equals(IDSSAppConstants.acceptButtonText)) {

            String isoMov = request.getParameter("isostaticMovement");
            statusJBean.setIsoMov(isoMov);
            Integer isostaticMovement = new Integer(isoMov);
            modelSetupControllerJBean.setIsostaticMovement(isostaticMovement);

            %>
                <p>isostaticMovement : <%=isostaticMovement.toString()%></p>
            <%

        } //if (actionButtonName.equals(IDSSAppConstants.acceptButtonText))

    } //if(actionButtonName != null)

%>








<form method=get>

    <table>
        <tr>
            <td>
                Specify isostatic movement : 
            </td>
            <td>
                <select name="isostaticMovement" size="10">
                    <%
                        int iso = modelSetupControllerJBean.getIsostaticMovement();
                        for(int i=-10;i<11;i++) {
                            if(iso == i) {
                    %>
                                <option value="<%=i%>" selected><%=i%></option>
                    <%
                            } //if(iso ==i)

                            else {
                    %>
                                <option value="<%=i%>" ><%=i%></option>
                    <%
                            } //else
                        } //for(int i=-10;i<11;i++)
                    %>
                </select>
            </td>
            <td>
                mm/year
            </td>
        </tr>
    </table>

    <input type=submit value="<%=IDSSAppConstants.acceptButtonText%>" name="<%=IDSSAppConstants.acceptButtonText%>">

</form>







</body>

</HTML>

